package net.deliciousreya.minecraftportal

import org.bukkit.Material
import org.bukkit.event.EventHandler
import org.bukkit.event.Listener
import org.bukkit.event.block.BlockPlaceEvent
import org.bukkit.plugin.java.JavaPlugin

class MinecraftPortalPlugin() : JavaPlugin(), Listener
{
    override fun onEnable() {
        super.onEnable()
        logger.info("Loaded the portal plugin!")
        server.pluginManager.registerEvents(this, this)
    }

    @EventHandler
    fun onBlockPlaced(e: BlockPlaceEvent) {
        logger.info("block placed of type " + e.block.type)
        if (e.block.type.equals(Material.GLASS)) {
            logger.info("put down glass at " + e.block.location)
            val portalScanResults = findPortalFrameConnectedTo(e.block)
            if (portalScanResults.frame != null) {
                logger.info("found portal frame $portalScanResults")
            } else {
                logger.info("no portal frame found, best scan was $portalScanResults")
            }
        }
    }
}